name: Bug report
description: Create a report to report a bug
title: ""
labels: ["Bug"]
assignees:
  - LouisOuellet

body:
  - type: textarea
    id: description
    attributes:
      label: Description
      description: Describe the bug or feature.
      placeholder: "Description of the bug or feature"
    validations:
      required: true
  - type: textarea
    id: steps
    attributes:
      label: Steps to reproduce
      description: Provide clear steps to reproduce.
      placeholder: |
        1. First Step
        2. Second Step
        3. And so on...
    validations:
      required: true
  - type: textarea
    id: expected
    attributes:
      label: Expected behavior
      placeholder: "What you expected to happen"
    validations:
      required: true
  - type: textarea
    id: actual
    attributes:
      label: Actual behavior
      placeholder: "What actually happened"
    validations:
      required: true
  - type: input
    id: dokuwiki_version
    attributes:
      label: Version of DokuWiki
      description: Can be found in the admin screen or in the `VERSION` file.
      placeholder: '2024-02-14a "Kaos"'
    validations:
      required: true
  - type: input
    id: php_version
    attributes:
      label: PHP Version
      description: The version of PHP you are using to run DokuWiki
      placeholder: "8.3"
    validations:
      required: true
  - type: input
    id: webserver
    attributes:
      label: Webserver and version of webserver
      description: If applicable, always include if unsure
      placeholder: "Apache 2.4 on Debian Linux"
    validations:
      required: false
  - type: input
    id: browser
    attributes:
      label: Browser and version of browser, operating system running browser
      description: If applicable, always include if unsure
      placeholder: "Chrome 221 on Windows 11"
    validations:
      required: false
  - type: textarea
    id: logs
    attributes:
      label: Screenshots or Logs
      description: Paste logs or attach screenshots.
      placeholder: "Paste your logs or attach the screenshot"
    validations:
      required: false
